// BugMeNot Plugin v. 0.1
// by SZMCZ
// szcmz@interia.pl (not a typo)
// 24.02.2014
// File: main.js

function sanitizer_scouts(txt){
	// Scout's version doesn't care very much about similarity to orginal string.
	// We don't care about special chars in password - we'll just remove it to avoid problems.
	// Nig's version will allow some special chars (<>"') but we'll remove everything that can lead to form-based XSS.
	return txt.replace(/(<|>|"|')/g, '');
}

self.port.on('show-msg', function(msg, whoami){
	// Dear Mozilla Team, I like Your paranoid approach.
	// I should be more paranoid too.
	// I decided to be even more paranoid, so I also filtred data that goes to form:
	// You know, like in case of vulnerable saved login (username"><script>vulnvulnvuln</script>).
	// Even if it isn't possible right now due to BugMeNot filters.
	// Thanks for inspiration.
	// --- SZMCZ.
	// PS. As we use HTML "injection" only here, I assumed that messing with JSON templating et cetera
	// would be triumph of form over substance. If I'm wrong, 1.4 will change it.
	if(whoami == 'nig'){
		document.getElementById('mehcontent').innerHTML = 'Trying account:<br><br><b>' + sanitizer_scouts(msg[0]) + '</b> : <b>' + sanitizer_scouts(msg[1]) + '</b><br><br><br><small>Click anywhere on page to stop process.</small>';
	}
	else if(whoami == 'system'){
		// Trusted, static.
		document.getElementById('mehcontent').innerHTML = msg;
	}
	else {
		alert('Man, wtf?');
	}
});

self.port.on('stop-loader', function(){
	document.getElementById('loader').innerHTML = '<br><br>';
});
